import * as React from 'react';
import { ITypeState } from "./ITypeState";
interface IPromiseTypeProps {
    allowOpen: boolean;
    open: boolean;
    value: any;
    filter?: any;
}
interface IPromiseTypeState extends ITypeState {
    promiseValue: any;
    status: string;
}
export declare class PromiseType extends React.Component<any, IPromiseTypeState> {
    constructor(props: IPromiseTypeProps);
    toggle(e: React.MouseEvent): Promise<void>;
    updatePromiseState(): Promise<{
        promiseValue: any;
        status: string;
    }>;
    componentDidMount(): Promise<void>;
    render(): JSX.Element;
}
export {};
