"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = require("react-redux");
const App_1 = require("../components/App");
const Settings_1 = require("../actions/Settings");
const Env_1 = require("../actions/Env");
exports.App = react_redux_1.connect(({ settings }) => ({
    theme: settings.theme,
    layout: settings.layout,
    env: settings.env
}), { setTheme: Settings_1.setTheme, setLayout: Settings_1.setLayout, setEnv: Env_1.setEnv })(App_1.App);
