"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const run_1 = require("./run");
const WavesConsoleAPI_1 = require("../../WavesConsoleAPI");
exports.updateIFrameEnv = (env) => {
    // add all waves functions to iframe global scope
    try {
        WavesConsoleAPI_1.WavesConsoleAPI.setEnv(env);
        const iframeWindow = run_1.getContainer().contentWindow;
        // Object.keys(consoleApi).forEach(key => iframeWindow[key] = w[key]);
        iframeWindow['env'] = env;
    }
    catch (e) {
        console.error(e);
    }
};
exports.bindAPItoIFrame = (consoleApi) => {
    try {
        const iframeWindow = run_1.getContainer().contentWindow;
        Object.keys(consoleApi).forEach(key => iframeWindow[key] = consoleApi[key]);
    }
    catch (e) {
        console.error(e);
    }
};
