import { ArrayType } from '../components/types/ArrayType';
import { ObjectType } from '../components/types/ObjectType';
import { FunctionType } from '../components/types/FunctionType';
import { ErrorType } from '../components/types/ErrorType';
import { NullType } from '../components/types/NullType';
import { UndefinedType } from '../components/types/UndefinedType';
import { NumberType } from '../components/types/NumberType';
import { StringType } from '../components/types/StringType';
import { BooleanType } from '../components/types/BooleanType';
import { SetType } from '../components/types/SetType';
import { PromiseType } from '../components/types/PromiseType';
declare type GenericType = typeof ArrayType | typeof ObjectType | typeof FunctionType | typeof ErrorType | typeof NullType | typeof UndefinedType | typeof NumberType | typeof StringType | typeof BooleanType | typeof SetType | typeof PromiseType;
declare function whichType(value: any): GenericType;
export default whichType;
