"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Settings_1 = require("../actions/Settings");
const defaultState = {
    theme: 'light',
    layout: 'bottom',
    remote: false,
};
const reducer = (state = defaultState, action) => {
    if (action.type === Settings_1.SET_THEME) {
        return Object.assign({}, state, { theme: action.value });
    }
    if (action.type === Settings_1.SET_LAYOUT) {
        return Object.assign({}, state, { layout: action.value });
    }
    return state;
};
exports.default = reducer;
