"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const ObjectType_1 = require("./ObjectType");
class ErrorType extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            open: props.open,
        };
    }
    render() {
        const { value, shallow = true, filter, allowOpen } = this.props;
        const { open } = this.state;
        const sig = value.name || value.constructor.name;
        return (React.createElement(ObjectType_1.ObjectType, { filter: filter, allowOpen: allowOpen, type: "error", shallow: shallow, open: open, value: value, displayName: sig }));
    }
}
exports.ErrorType = ErrorType;
