"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ADD_HISTORY = 'ADD_HISTORY';
const defaultState = [];
const reducer = (state = defaultState, action) => {
    if (action.type === ADD_HISTORY) {
        if (state.slice(-1).pop() !== action.value) {
            return [...state, action.value];
        }
    }
    return state;
};
exports.default = reducer;
